require_relative 'lib/ESBI/version'

Gem::Specification.new do |spec|
  spec.name          = "ESBI"
  spec.version       = ESBI::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["gitea@fake.local"]

  spec.summary       = %q{Evolutionary-Symbolic-Baysian and Ruleset AI with smart translation.}
  spec.description   = %q{A hybrid model of different systems of AI and rules based programming for different purposes. This uses the rules_ai gem..}
  spec.homepage      = "https://lwflouisa.github.io/Weaver-AI"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'rules_ai', '~> 0.9.0'
  spec.add_runtime_dependency 'naive_bayes', '~> 0.0.3'
end
